Package org.eclipse.emf.compare.domain

## Interface IMergeRunnable

All Known Implementing Classes:
  `MergeConflictingRunnable`, `MergeContainedRunnable`, `MergeNonConflictingRunnable`, `MergeRunnableImpl`

    public interface IMergeRunnable

Interface for executing merge commands from the `ICompareEditingDomain`.

Since:
  4.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `merge​(List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry)` Execute the merge operation.

### Method Detail

#### merge

    void merge​(List<? extends Diff> differences,
               boolean leftToRight,
               IMerger.Registry mergerRegistry)

Execute the merge operation.

Parameters:
  `differences` - the differences to merge.
  `leftToRight` - whether the differences have to be merge from left to right or right to left.
  `mergerRegistry` - the merger registry to query to get the appropriate mergers for each difference to be merged.